# eric3.QScintilla.Printer

Module implementing the printer functionality.

### Classes

Printer | Class implementing the QextScintillaPrinter with a header.

### Functions

None

## Printer

Class implementing the QextScintillaPrinter with a header.

### Derived from

KQPrinter

### Methods

Printer | Constructor
formatPage | Private method to generate a header line.
magnification | Public method to retrieve the print magnification.
printRange | Public method to print a range of text.
setMagnification | Public slot to set the print magnification.
setWrapMode | Public slot to set the print wrap mode.
wrapMode | Public method to retrieve the print wrap mode.

### Printer (Constructor)

Printer(mode = KQPrinter.ScreenResolution)

Constructor

mode
  mode of the printer (KQPrinter....)

### Printer.formatPage

formatPage(painter, drawing, area, pagenr)

Private method to generate a header line.

painter
  the paint canvas (QPainter)
drawing
  flag indicating that something should be drawn
area
  the drawing area (QRectangle)
pagenr
  the page number (int)

### Printer.magnification

magnification()

Public method to retrieve the print magnification.

Returns:
  print magnification (integer)

### Printer.printRange

printRange(qsb, _from = -1, _to = -1)

Public method to print a range of text.

qsb
  reference to a QextScintilla instance
_from
  start line of print range (integer)
_to
  end line of print range (integer)

Returns:
  flag indicating success (boolean)

### Printer.setMagnification

setMagnification(magnification)

Public slot to set the print magnification.

magnification
  print magnification to be set (integer)

### Printer.setWrapMode

setWrapMode(wmode)

Public slot to set the print wrap mode.

wmode
  print wrap mode to be set (QextScintilla.WrapMode)

### Printer.wrapMode

wrapMode()

Public method to retrieve the print wrap mode.

Returns:
  print wrap mod (QextScintilla.WrapMode)

Up